Subject: [sipcore] AD Evaluation of draft-ietf-sipcore-originating-cdiv-parameter-03

From: Ben Campbell <[email-masked]>
Date: Fri, 7 Sep 2018 15:50:33 -0500

Hi,

This is my AD Evaluation of draft-ietf-sipcore-originating-cdiv-parameter-03.

The draft is mostly in good shape. I have a small number of substantive comments, and some editorial comments. I would like to resolve the substantive comments prior to IETF Last Call.

Thanks!

Ben.

-------------------------------

Substantive Comments:

- Is it possible to add a short explanation of “session case”? Right now, the draft refers to 5502, but that RFC calls out to 29.228 for the definition. I think reviewers are going to find the lack of a “local” definition confusing; most will probably not drill all the way down to 29.228. I’m not asking for a lot of detail, but I think a few sentences are in order. I recognize that RFC 5502 did not do this, but I think that is a deficiency in that RFC.

§4, step 3:

Likewise, I don’t think the average non-3GPP IETF reader will understand “filter criteria” in this context. Can there be a few sentences describing it? (such as in 5502?)

§5,

- first bullet: Is the real change that the field MUST NOT contain _different_ values, or it MUST NOT contain _multiple_ values?
- 2nd bullet: It’s not clear to me what is guidance about 5502 is being offered here; this sounds more like a disclaimer about things being out of scope for this draft. Does it really belong in the bullet list?

§7, updates to the P-Served-User header field parameters:
Why do the sescase and regstate lines need to be updated to include RFCXXXX?

§9: “... it is important to ensure that the parameter has not been added to the SIP message by an unauthorized SIP entity.”

Can you say something more concrete here? How would one go about doing that? Should an AS or S-CSCF remove any cdiv parameters that it did not insert? What if a client were to insert the parameter?

Editorial Comments:

§1.2:

- Is “allocates” the correct word for assigning an S-CSCF to a user? In my mind, “allocate” connotes reserving a resource, perhaps in a way that makes it unavailable to others. Perhaps “assigns” would be better?

- 2nd paragraph:
s/ “allocated for” / “allocated to”.
s/  “HSS (Home Subscriber Server)” / “Home Subscriber Server (HSS)”
Please expand AS on first use.

§1.3:
- " first considered as a terminating session case” - Considered by what? Also, is “considered” the correct term? Perhaps something more concrete like “treated” would make more sense?

§3: " inside a Trust Domain [RFC3324] for P-Served-User header field.”
Missing article before “P-Served-User”

§4,
- step 3: " It then sends to the AS”
I suggest “sends the request to the AS”
- step 6: I suggest striking the word “specifically”

§7: The IANA considerations should either be the 2nd to last or last section. (IANA considerations and Security considerations should be the last two sections.)